package com.utopiaindustries.model.ctp;

import java.time.LocalDateTime;

public class PurchaseOrderCTP {

    public enum Status{
        DRAFT,
        POSTED,
    }

    private long id;
    private String purchaseOrderCode;
    private long purchaseOrderQuantity;
    private long purchaseOrderQuantityRequired;
    private String articleName;
    private boolean poStatus;
    private String createdBy;
    private LocalDateTime createdAt;
    private String status;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getPurchaseOrderCode() {
        return purchaseOrderCode;
    }

    public void setPurchaseOrderCode(String purchaseOrderCode) {
        this.purchaseOrderCode = purchaseOrderCode;
    }

    public long getPurchaseOrderQuantity() {
        return purchaseOrderQuantity;
    }

    public void setPurchaseOrderQuantity(long purchaseOrderQuantity) {
        this.purchaseOrderQuantity = purchaseOrderQuantity;
    }

    public long getPurchaseOrderQuantityRequired() {
        return purchaseOrderQuantityRequired;
    }

    public void setPurchaseOrderQuantityRequired(long purchaseOrderQuantityRequired) {
        this.purchaseOrderQuantityRequired = purchaseOrderQuantityRequired;
    }

    public String getArticleName() {
        return articleName;
    }

    public void setArticleName(String articleName) {
        this.articleName = articleName;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public LocalDateTime getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(LocalDateTime createdAt) {
        this.createdAt = createdAt;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public boolean getPoStatus() {
        return poStatus;
    }

    public void setPoStatus(boolean poStatus) {
        this.poStatus = poStatus;
    }
}
